### Method

# Meta Window move_frame

#### Declaration [src]

    void
    meta_window_move_frame (
      MetaWindow* window,
      gboolean user_op,
      int root_x_nw,
      int root_y_nw
    )

#### Description [src]

Moves the window to the desired location on window’s assigned workspace, using the northwest edge of the frame as the reference, instead of the actual window’s origin, but only if a frame is present.

Otherwise, acts identically to meta_window_move().

#### Parameters

`user_op`

  Type: `gboolean`

  Bool to indicate whether or not this is a user operation.

`root_x_nw`

  Type: `int`

  Desired x pos.

`root_y_nw`

  Type: `int`

  Desired y pos.